Subject: bug#66450: 29.1; Debbugs/Gnus sometimes corrupt git formatted patches

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 18 Oct 2023 21:53:54 -0400

Hi,

Michael Albinus <[email-masked]> writes:

> Maxim Cournoyer <[email-masked]> writes:
>
>> Hello,
>
> Hi Maxim,
>
>> Something similar to this have been recently added to the Guix
>> "Contributing" section, see
>> <https://guix.gnu.org/en/manual/devel/en/html_node/The-Perfect-Setup.html#Viewing-Bugs-within-Emacs>
>> or info "(guix) The Perfect Setup".  The regexps have been turned into
>> 'rx' expressions for readability.
>
> Thanks for the information. Scrolling through this guide, maybe I can
> give you some further comments? In
> <https://guix.gnu.org/en/manual/devel/en/html_node/Debbugs-User-Interfaces.html>,
> you recommend the command 'C-u M-x debbugs-gnu RET RET guix-patches RET
> n y'. However, if you configure debbugs-gnu-default-packages to '("guix"
> "guix-patches"), you don't need the prefix argument. Furthermore, Guix
> has its own commands in Debbugs, like debbugs-gnu-guix-search.
>
> All of this is off-topic for this bug. But I thought it might be helpful.

For your information, I've submitted your suggestions to the Guix manual
as bug#66620.

-- 
Thanks,
Maxim